メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
attack-protection
/
captcha
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.AttackProtection;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.AttackProtection.Captcha.UpdateAsync(
            new UpdateAttackProtectionCaptchaRequestContent()
        );
    }

}
{
  "active_provider_id": "<string>",
  "arkose": {
    "site_key": "<string>",
    "fail_open": true,
    "client_subdomain": "<string>",
    "verify_subdomain": "<string>"
  },
  "auth_challenge": {
    "fail_open": true
  },
  "hcaptcha": {
    "site_key": "<string>"
  },
  "friendly_captcha": {
    "site_key": "<string>"
  },
  "recaptcha_enterprise": {
    "site_key": "<string>",
    "project_id": "<string>"
  },
  "recaptcha_v2": {
    "site_key": "<string>"
  },
  "simple_captcha": {}
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

active_provider_id
enum<string>

The id of the active provider for the CAPTCHA.

利用可能なオプション:
arkose,
auth_challenge,
friendly_captcha,
hcaptcha,
recaptcha_v2,
recaptcha_enterprise,
simple_captcha
Maximum string length: 36
arkose
object
auth_challenge
object
hcaptcha
object
friendly_captcha
object
recaptcha_enterprise
object
recaptcha_v2
object
simple_captcha
object

レスポンス

Captcha configuration successfully retrieved.

active_provider_id
string
arkose
object
auth_challenge
object
hcaptcha
object
friendly_captcha
object
recaptcha_enterprise
object
recaptcha_v2
object
simple_captcha
object